/*
 * 文件名: ResponseInit.java
 * 版    权：  Copyright Changwan Tech. Co. Ltd. All Rights Reserved.
 * 描    述: [该类的简要描述]
 * 创建人: turlet@163.com
 * 创建时间:2013-5-9
 * 
 * 修改人：
 * 修改时间:
 * 修改内容：[修改内容]
 */
package cn.ewan.pushsdk.model;

import org.json.JSONObject;

import cn.ewan.pushsdk.util.JsonUtil;
import cn.ewan.pushsdk.util.LogUtil;

/**
 * [一句话功能简述]<BR>
 * [功能详细描述]
 * @author turlet@163.com
 * @version [Client V100R001C03, 2013-5-9] 
 */
public class ResponseInit extends Response {

    private String adress;
    
    private String cliendId;
    
    private String secretKey;
    

    public ResponseInit() {
        super();
    }
    
    public ResponseInit(JSONObject jsonObject) {
		this.adress = "tcp://"+JsonUtil.getString(jsonObject, "adress");
		this.cliendId = JsonUtil.getString(jsonObject, "token");
		this.secretKey = JsonUtil.getString(jsonObject, "secretKey");
    }

	/**
	 * @return adress
	 */
	public String getAdress()
	{
		return adress;
	}

	/**
	 * @param adress 要设置的 adress
	 */
	public void setAdress(String adress)
	{
		this.adress = adress;
	}

	/**
	 * @return cliendId
	 */
	public String getCliendId()
	{
		return cliendId;
	}

	/**
	 * @param cliendId 要设置的 cliendId
	 */
	public void setCliendId(String cliendId)
	{
		this.cliendId = cliendId;
	}

	/**
	 * @return secretKey
	 */
	public String getSecretKey()
	{
		return secretKey;
	}

	/**
	 * @param secretKey 要设置的 secretKey
	 */
	public void setSecretKey(String secretKey)
	{
		this.secretKey = secretKey;
	}

}
