/*
 * 文件名: IHttpListener.java
 * 版    权：  Copyright Administrator Tech. Co. Ltd. All Rights Reserved.
 * 描    述: [该类的简要描述]
 * 创建人: 杨兴朗
 * 创建时间:2012-11-7
 * 
 * 修改人：
 * 修改时间:
 * 修改内容：[修改内容]
 */
package cn.ewan.pushsdk.net;


/**
 * [一句话功能简述]<BR>
 * [功能详细描述]
 * @author 杨兴朗
 * @version [RCS Client V100R001C03, 2012-11-7] 
 */
public interface IHttpListener {
    
    /**
     * 网络成功返回<BR>
     * [功能详细描述]
     * @param [ret] 返回结果
     * @param obj 需要封装返回给上层的对象
     */
    void onComplete(String ret, Object obj);
    
    /**
     * 异常<BR>
     * 一般是网络异常、连接地址问题、服务器问题<br/>
     * 不能与服务器建立输入流<br/>
     * 手机网络问题
     * @see com.wp.platform.util.ErrorCode
     * @param [errorCode] 错误码
     * @param [ex] 异常信息
     */
    void onException(int errorCode,Exception ex);
//    
//    /**
//     * 网络通讯异常<BR>
//     * 一般是网络异常、连接地址问题、服务器问题
//     * @param ex
//     * @param obj
//     */
//    void onIOException(IOException ex, Object obj);
//    
//    /**
//     *  不能与服务器建立输入流
//     * if no InputStream could be created<BR>
//     * [功能详细描述]
//     * @param ex
//     * @param obj
//     */
//    void onFileNotFoundException(FileNotFoundException ex, Object obj);
//    
//    /**
//     * 手机网络问题<BR>
//     * [功能详细描述]
//     * @param ex
//     * @param obj
//     */
//    void onNetworkErrorException(NetworkErrorException ex, Object obj);
}
