/*
 * 文件名: Common.java
 * 版    权：  Copyright iAround Tech. Co. Ltd. All Rights Reserved.
 * 描    述: [该类的简要描述]
 * 创建人: turlet@163.com
 * 创建时间:2010-1-2
 * 
 * 修改人：
 * 修改时间:
 * 修改内容：[修改内容]
 */
package cn.ewan.pushsdk.util;

import android.content.Context;
import android.os.Environment;

/**
 * 常用常量<BR>
 * [功能详细描述]
 * @author panyf
 * @version [RCS Client V100R001C03, 2016-3-24] 
 */
public class Common {
    
    public static final String ENC_UTF_8 = "UTF-8";
    
    public static final String ENC_GBK = "GBK";//"GB2312";
    
    public static final String METHOD_GET = "get";
    
    public static final String METHOD_POST = "post";
    
    public static final String MD5 = "MD5";
    
    /**
     * AppId 应用ID
     */
    public static String appid = "0";
    
    public static String signkey = "";
    
    public static String packetid = "0";
    
    public static int debugModel = 0;
    
    /**
     * 连接超时
     */
    public static final int connect_timeout = 10 * 1000;
    
    /**
     * 读取超时
     */
    public static final int read_timeout = 25 * 1000;
    
    public static final int sdkVersionCode = 110;
    
    public static final String sdkVersion = "1.1.0";
    
    /**
     * 开发环境地址
     */
    public static final String HTTP_DEV_URL = "http://interface.push.ewan.cn/v1/ticketer/";
    /**
     * 测试环境地址
     */
    public static final String HTTP_TEST_URL = "http://test.push.ewan.cn/v1/ticketer/";
    
    /**
     * 正式环境地址
     */
    public static final String HTTP_NORMAL_URL = "http://interface.push.ewan.cn/v1/ticketer/";
    
    public static String HTTP_EWANPUSH_URL;
    
	/** 签名密钥 */
	public static final String SIGN_KEY = "F92C82CE4999A88677FA5CC95EAD4004";

    private static boolean isInitProtocol = false;
      
	static {
		LogUtil.debugger = FileUtil
				.fileIsExists(Environment.getExternalStorageDirectory()
						.getPath() + "/ywantest/log.txt");
	}

	/**
	 * @return isInitProtocol
	 */
	public static boolean isInitProtocol()
	{
		return isInitProtocol;
	}

	/**
	 * @param isInitProtocol 要设置的 isInitProtocol
	 */
	public static void setInitProtocol(boolean isInitProtocol)
	{
		Common.isInitProtocol = isInitProtocol;
	}
    
	
}
