/*
 * 文件名: JsonUtil.java
 * 版    权：  Copyright iAround Tech. Co. Ltd. All Rights Reserved.
 * 描    述: [该类的简要描述]
 * 创建人: turlet@163.com
 * 创建时间:2012-12-18
 * 
 * 修改人：
 * 修改时间:
 * 修改内容：[修改内容]
 */
package cn.ewan.pushsdk.util;

import org.json.JSONObject;

/**
 * [一句话功能简述]<BR>
 * [功能详细描述]
 * @author turlet@163.com
 * @version [RCS Client V100R001C03, 2012-12-18] 
 */
public class JsonUtil {
    
    public static int getInt(JSONObject jsonObj, String key){
        int temp = 0;
        try {
            temp = Integer.parseInt(jsonObj.getString(key));
        }
        catch (Exception e) {
            temp  = 0;
        }
        
        return temp;
    }
    
    public static long getLong(JSONObject jsonObj, String key){
        long temp = 0;
        try {
            temp = Long.parseLong(jsonObj.getString(key));
        }
        catch (Exception e) {
            temp  = 0;
        }
        
        return temp;
    }
    
    public static String getString(JSONObject jsonObj, String key) {
        String str = null;
        try {
            str = jsonObj.getString(key);
        }
        catch (Exception e) {
            str = null;
        }
        return str;
    }
}
