/*
 * 文件名: LoadResources.java
 * 版    权：  Copyright Administrator Tech. Co. Ltd. All Rights Reserved.
 * 描    述: [该类的简要描述]
 * 创建人: 杨兴朗
 * 创建时间:2012-11-18
 * 
 * 修改人：
 * 修改时间:
 * 修改内容：[修改内容]
 */
package cn.ewan.pushsdk.util;

import android.content.Context;
import android.content.res.Resources;

/**
 * R资源加载<BR>
 * [功能详细描述]
 * @author 杨兴朗
 * @version [RCS Client V100R001C03, 2012-12-29] 
 */
public class LoadResources {
    
    public static void init(Context context) {
        Resources localResources = context.getResources();
        String pkg = context.getPackageName();
        
        
        //layout
/*        layout.ewan_supersdk_chargedialog = localResources.getIdentifier("ewan_supersdk_chargedialog", "layout", pkg);
*/        
        layout.ewan_supersdk_login_activity = localResources.getIdentifier("ewan_supersdk_login_activity", "layout", pkg);
       
        //color
        color.ewan_supersdk_background = localResources.getIdentifier("ewan_supersdk_background", "color", pkg);
        

        //drawable
        drawable.ewan_supersdk_progressdialog = localResources.getIdentifier("ewan_supersdk_progressdialog", "drawable", pkg);
        
        //ids
/*        id.ewan_supersdk_chargetype = localResources.getIdentifier("ewan_supersdk_chargetype", "id", pkg);
        id.ewan_supersdk_content = localResources.getIdentifier("ewan_supersdk_content", "id", pkg);
        id.ewan_supersdk_confirm = localResources.getIdentifier("ewan_supersdk_confirm", "id", pkg);
        id.ewan_supersdk_cancel = localResources.getIdentifier("ewan_supersdk_cancel", "id", pkg);
*/        
        id.ewan_supersdk_activity_login_username_et = localResources.getIdentifier("ewan_supersdk_activity_login_username_et", "id", pkg);
        id.ewan_supersdk_activity_login_pwd_et = localResources.getIdentifier("ewan_supersdk_activity_login_pwd_et", "id", pkg);
        id.ewan_supersdk_activity_login_left_btn = localResources.getIdentifier("ewan_supersdk_activity_login_left_btn", "id", pkg);
        id.ewan_supersdk_activity_login_center_btn = localResources.getIdentifier("ewan_supersdk_activity_login_center_btn", "id", pkg);
        id.ewan_supersdk_activity_login_right_btn = localResources.getIdentifier("ewan_supersdk_activity_login_right_btn", "id", pkg);
        id.ewan_supersdk_activity_login_bottom_logo_iv = localResources.getIdentifier("ewan_supersdk_activity_login_bottom_logo_iv", "id", pkg);
        id.ewan_supersdk_activity_switch_accout_btn = localResources.getIdentifier("ewan_supersdk_activity_switch_accout_btn", "id", pkg);
        
              
        //style
        style.supersdk_dialog = localResources.getIdentifier("supersdk_dialog", "style", pkg);

    }
    
    public static final class layout {
/*        public static int ewan_supersdk_chargedialog;  */
        public static int ewan_supersdk_login_activity;
    }
    
    public static final class color {
    	public static int ewan_supersdk_background;
    }
    
    public static final class drawable {
    	public static int ewan_supersdk_progressdialog;
    }
    
    public static final class id {
/*        public static int ewan_supersdk_chargetype;
        public static int ewan_supersdk_content;
        public static int ewan_supersdk_confirm;
        public static int ewan_supersdk_cancel;*/
     
        public static int ewan_supersdk_activity_login_username_et;
        public static int ewan_supersdk_activity_login_pwd_et;
        public static int ewan_supersdk_activity_login_left_btn;
        public static int ewan_supersdk_activity_login_center_btn;
        public static int ewan_supersdk_activity_login_right_btn;
        public static int ewan_supersdk_activity_login_bottom_logo_iv;
        public static int ewan_supersdk_activity_switch_accout_btn;
        
     }
    
    public static final class string {
 
    }
    
    public static final class style {
    	public static int supersdk_dialog;
    }
}
