/**
 * LogUtil.java
 * com.huyeal.util
 *
 * Function： TODO 
 *
 *   ver     date      		author
 * ──────────────────────────────────
 *   		 2012-2-10 		turlet@163.com
 *
 * Copyright (c) 2012,  All Rights Reserved.
*/

package cn.ewan.pushsdk.util;

import android.util.Log;

/**
 * 全局日志管理类<BR>
 * [功能详细描述]
 * @author 潘宇飞
 * @version [RCS Client V100R001C03, 2016-3-24] 
 */
public class LogUtil {
    
    public static final String TAG = LogUtil.class.getSimpleName();
    
    /**
     * 是否开启测试模式
     */
    public static boolean debugger;
    
    public static void d(String tag, String msg) {
        if (debugger) {
            Log.d(tag, msg);
        }
    }
    
    public static void i(String tag, String msg) {
        if (debugger) {
            Log.i(tag, msg);
        }
    }
    
    public static void w(String tag, String msg) {
        if (debugger) {
            Log.w(tag, msg);
        }
    }
    
    public static void e(String tag, String msg) {
        if (debugger) {
            Log.e(tag, msg);
        }
    }
    
    public static void e(String tag, String msg,Exception ex) {
    	if (debugger) {
    		Log.e(tag, msg,ex);
    	}
    }
    
    public static void setDebugger(boolean debugger) {
    	LogUtil.debugger = debugger;
    }
    
}
