/*
 * 文件名: DownLoad.java
 * 版    权：  Copyright Administrator Tech. Co. Ltd. All Rights Reserved.
 * 描    述: [该类的简要描述]
 * 创建人: turlet@163.com
 * 创建时间:2012-12-9
 * 
 * 修改人：
 * 修改时间:
 * 修改内容：[修改内容]
 */
package cn.ewan.pushsdk.model;


/**
 * [下载数据库实体]<BR>
 * [功能详细描述]
 * @author turlet@163.com
 * @version [RCS Client V100R001C03, 2012-12-9] 
 */
public class DownLoad {
    
    private long id;
    
    private String name;
    
    private String downUrl;
    
    private long totalSize;
    
    private DownType downType;
    
    private long curDown;
    
    public long getId() {
        return id;
    }
    
    public void setId(long id) {
        this.id = id;
    }
    
    public String getName() {
        return name;
    }
    
    public void setName(String name) {
        this.name = name;
    }
    
    public String getDownUrl() {
        return downUrl;
    }
    
    public void setDownUrl(String downUrl) {
        this.downUrl = downUrl;
    }
    
    public long getTotalSize() {
        return totalSize;
    }
    
    public void setTotalSize(long totalSize) {
        this.totalSize = totalSize;
    }
    
    public DownType getDownType() {
        return downType;
    }
    
    public void setDownType(DownType downType) {
        this.downType = downType;
    }
    
    public long getCurDown() {
        return curDown;
    }
    
    public void setCurDown(long curDown) {
        this.curDown = curDown;
    }
    
    public enum DownType {
        none(""), finish(""), start(""), stop("已停止"), wait("等待中"), failed("失败");
        
        private String show;
        
        private DownType(String show) {
            this.show = show;
        }
        
        public String getShow() {
            return show;
        }
        
        public static DownType fromString(String name) {
            try {
                return DownType.valueOf(name);
            }
            catch (Exception e) {
                return none;
            }
        }
    }
}
