/*
 * 文件名: ResponsePayCode.java
 * 版    权：  Copyright Changwan Tech. Co. Ltd. All Rights Reserved.
 * 描    述: [该类的简要描述]
 * 创建人: turlet@163.com
 * 创建时间:2013-4-9
 * 
 * 修改人：
 * 修改时间:
 * 修改内容：[修改内容]
 */
package cn.ewan.pushsdk.model;

/**
 * [一句话功能简述]<BR>
 * [功能详细描述]
 * @author tanzm
 * @version [Client V100R001C03, 2013-4-9] 
 */
public class PayCode {
    
    /*
     * code:239423432 //计费点代码
    price:1  //资费，单位元
    name:8个金币
     */
    private String code;
    
    private int price;
    
    private String name;
    
    public String getCode() {
        return code;
    }
    
    public void setCode(String code) {
        this.code = code;
    }
    
    public int getPrice() {
        return price;
    }
    
    public void setPrice(int price) {
        this.price = price;
    }
    
    public String getName() {
        return name;
    }
    
    public void setName(String name) {
        this.name = name;
    }
    

    
    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + price;
        return result;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj)
            return true;
        if (obj == null)
            return false;
        if (getClass() != obj.getClass())
            return false;
        PayCode other = (PayCode) obj;
        if (price != other.price)
            return false;
        return true;
    }

    @Override
    public String toString() {
        return "ResponsePayCode [code=" + code + ", price=" + price + ", name="
                + name + "]";
    }
    
}
