/*
 * 文件名: UnionCode.java
 * 版    权：  Copyright Changwan Tech. Co. Ltd. All Rights Reserved.
 * 描    述: [该类的简要描述]
 * 创建人: turlet@163.com
 * 创建时间:2013-5-7
 * 
 * 修改人：
 * 修改时间:
 * 修改内容：[修改内容]
 */
package cn.ewan.pushsdk.open;

import android.util.SparseArray;

/**
 * [联运SDK返回码]<BR>
 * [功能详细描述]
 * @author turlet@163.com
 * @version [Client V100R001C03, 2016-5-7] 
 */
public class EwanPushCode {
    
    /**
     * 请求业务并服务器处理返回成功
     */
    /**
     * -1 参数错误
     */
    public static final int ERROR_PARAM = -1;
    
    /**
     * -2  请求时间戳不在有效期内
     */
    public static final int ERROR_TOKEN_TIMETICKET = -2;
        
    /**
     * -3 授权验签失败
     */
    public static final int ERROR_OAUTH_SIGN = -3;
    
    /**
     * -4   服务器连接不上错误
     */
    public static final int ERROR_SERVER_BUSY = -4;
    
    /**
     * -4   服务器连接不上错误
     */
    public static final int ERROR_NETWORD_DISCONNECT = -5;
    
    
    /**
     * 100 订阅失败
     */
    public static final int ERROR_SUBSCRIBE_FAIL = 100;
    
    /**
     * 101 取消订阅失败
     */
    public static final int ERROR_UNSUBSCRIBE_FAIL = 101;
    
    /**
     * 102 发送消息失败
     */
    public static final int ERROR_SEND_MESSAGE_FAIL = 102;
    
    
}
